当Eclipse for Android Project Dev时,“无法启动选择并且最近没有启动”

我正在尝试使用Eclipse打开一个解压缩的Android项目,但每次我尝试运行或调试时都会显示此错误:“选择无法启动且最近没有启动”。

所以我查了一下,尝试从现有的源创建一个新项目,但打开时出错,我打开了src等文件夹。 我也试过导入那个也不起作用的项目。 没有作为选项运行,更改运行配置并没有真正帮助。 我找不到任何选项将其作为Android项目打开。

你能不能帮我运行这个项目。

(因为我解压缩了这个项目,导入时有一个_MACOSX文件夹,我不确定这是否重要,或者我应该删除该文件夹。)

  • 外部化Android项目的string
  • 可以在Galaxy Tab中安装Eclipse IDE吗?
  • 在Eclipse中导入android.R:为什么?
  • 我如何debuggingAsyncTask的doInBackground代码
  • Eclipse中的Lint for android提供了错误的结果
  • LG L90不会安装debuggingUSB驱动程序
  • 在Eclipse中包含Android-DirectionalViewPager .jar错误
  • 针对Android开发优化Eclipse
  • 我正在运行Eclipse Juno SR 2

    我有类似的问题。 要解决此问题,请转到运行 – >运行配置…

    • 如果没有创建新的运行配置(左上角)
    • Android选项卡下 :浏览并选择要运行的项目
    • 在“ 目标”选项卡下 :选择“始终提示以选择设备”(或),您可以选择自动启动。

    通过转到Run-> Debug Configurations,可以将类似的解决方案应用于Debug …


    更新:

    我意识到这超出了问题的范围,但如果有任何新的开发人员回答,那么我建议从Eclipse切换到Android Studio。 AS是谷歌官方支持的Android开发IDE,使用起来更好。

    在Package Explorer(左列)中,右键单击项目名称(顶部项目)。 在出现的菜单中,选择“运行方式”; 然后选择“Android应用程序”。

    我修改了版本:Luna SR2(4.4.2)

    1. 从右侧下拉运行按钮中选择运行配置。
    2. 双击Android应用程序。
    3. 获取更改窗口,通过浏览“android”点击按钮选择项目名称(有3个选项卡)。
    4. 从“目标”选项卡中选择您要运行的ADT或您的设备。
    5. 然后按“取消”左侧的“底部”按钮“运行”。
    6. 片刻之后,你会得到新的窗户。 从那里你可以选择你的连接设备或ADT。

    如果此文件是和.apk ,则应使用以下命令将其安装在模拟器上:

     adb install /path/myfile.apk 

    有关更多信息,您可以访问以下链接: http : //developer.android.com/guide/developing/tools/adb.html#move

    只需选择整个代码并运行代码,它就可以工作了。 如果这不起作用,请尝试以上解决方案。

    通常,当您的代码中没有main()函数时,此错误会出现在eclipse IDE中。

    检查你的程序中是否有public static void main(String [] args)